Bug 68796 - I2O support is broken
I2O support is broken
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 72070 83447 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-14 10:12 EDT by Alan Cox
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-02 17:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2002-07-14 10:12:37 EDT
Loading I2O support requires i2o_pci is loaded, then i2o_block/scsi/tape...
Anaconda in bets3 never loads i2o_pci so never sees the controllers.
Comment 1 Jeremy Katz 2002-08-21 02:21:05 EDT
*** Bug 72070 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Katz 2002-08-23 12:57:31 EDT
Should work as of Milan-re0823.nightly although I couldn't dig up an i2o card
around here last night to test with
Comment 3 Alan Cox 2002-08-24 14:25:56 EDT
A little odd

In expert no probe

I have to pick "i2o pci" then "i2o block" (i2o_pci is something i2o_block needs
as a module rather than different kind of device. There isnt a direct module
dependancy however)

If I do that it detected my disks

In autodetect mode I can't test it currently - my test card gets eaten by the
megaraid driver (not an installer bug) not i2o. The cards that dont are in
production boxes at the moment.

Anyway, its possible to do the install now, so worst case its gone from failure
to slightly quirky
Comment 4 Jeremy Katz 2002-08-29 02:01:51 EDT
Okay, that's at least okay for now.  We can probably fix it better for Gin Gin,
but I don't want to rock the boat now.
Comment 5 Alan Cox 2002-08-29 09:31:51 EDT
Sounds sensible to me
Comment 6 Jeremy Katz 2003-02-26 13:05:48 EST
Alan, I know you installed GinGin on an i2o box and found a mkinitrd bug.  Was
i2o reasonable otherwise?
Comment 7 Alan Cox 2003-02-26 14:03:14 EST
Will retest with final once I have it and confirm. I think we are ok now
Comment 8 Michael Fulbright 2003-03-07 17:09:28 EST
Assuming its fixed.
Comment 9 Alan Cox 2003-03-07 17:16:57 EST
I said I would test it when I had the final images. Right now I don't. I've only
just got the new ADSL line.

Comment 10 Michael Fulbright 2003-04-22 12:26:23 EDT
Did the final images download yet?
Comment 11 Alan Cox 2003-04-22 12:40:02 EDT
Sorry feel off my tasklist. Just kicked off a test install. Will report back in
about an hour
Comment 12 Alan Cox 2003-04-22 15:04:51 EDT
Install works
initrd built loads i2o_pci/i2o_core/i2o_block not the needed

You'll be glad to know in 2.6 i2o_pci/core are one module and avoid that mess.

Hand fixed initrd works, so its 99.9% right
Comment 13 Jeremy Katz 2003-04-22 21:49:21 EDT
Hrmm...   what are the contents of /etc/modules.conf and what's the version of
mkinitrd?  I thought I had fixed the order flip-flop :/
Comment 14 Michael Fulbright 2003-06-18 16:48:08 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 15 Alan Cox 2003-06-20 11:12:32 EDT
Re-opening because its still not fixed in RH9 and NOTABUG isnt a valid way to
close it.
Comment 16 Alan Cox 2003-06-20 11:13:51 EDT
*** Bug 83447 has been marked as a duplicate of this bug. ***
Comment 17 Jeremy Katz 2003-09-25 17:00:05 EDT
How does this look with Fedora?

I'm still in the "don't have hardware, so grasp at straws" situation as far as
actually making changes for this stuff.
Comment 18 Alan Cox 2004-05-02 17:04:09 EDT
Ok in Fedora 1, other 2.6 kernel specific issues in FC2 which are
documented elsewere , closing

Note You need to log in before you can comment on or make changes to this bug.